## BtIcASeqDevice BtIcASeqDevice — buzztraxs interaction controller alsa sequencer device |

## Functions

BtIcASeqDevice * | btic_aseq_device_new ()

## Properties

gint | client | Read / Write / Construct Only
gint | port | Read / Write / Construct Only

## Types and Values

struct | BtIcASeqDevice

## Object Hierarchy

        GObject
        ╰── BtIcDevice
            ╰── BtIcASeqDevice

## Implemented Interfaces

BtIcASeqDevice implements BtIcLearn.

## Includes

    #include <libbtic/ic.h>

## Description

Event handling for alsa sequencer devices.

## Functions

### btic_aseq_device_new ()

    BtIcASeqDevice *
    btic_aseq_device_new (const gchar *udi,
                          const gchar *name,
                          gint client,
                          gint port);

Create a new instance

#### Parameters

udi | the udi of the device |
name | human readable name |
client | alsa sequencer client id |
port | alsa sequencer port id |

#### Returns

the new instance or `NULL` in case of an error

## Types and Values

### struct BtIcASeqDevice

    struct BtIcASeqDevice;

buzztraxs interaction controller registry

## Property Details

### The `“client”` property

      “client”                   gint

alsa sequencer client id.

Flags: Read / Write / Construct Only

Allowed values: >= 0

Default value: 0

### The `“port”` property

      “port”                     gint

alsa sequencer port id.

Flags: Read / Write / Construct Only

Allowed values: >= 0

Default value: 0